stages:
- diff
- deploy
cdk-diff:
  stage: diff
  script:
  - cdk diff -d teststack
cdk-deploy:
  needs:
  - job: cdk-diff
    artifacts: true
  stage: deploy
  script:
  - pip3 install gcip
  - python3 -m gcip.addons.aws.tools.wait_for_cloudformation_stack_ready --stack-names
    'teststack'
  - cdk deploy --require-approval 'never' --strict -e --toolkit-stack-name toolkit-stack
    teststack
